body {
    background-color: rgb(34,34,34);
}

.nav-link {
  white-space: nowrap;
}

.mod-card:hover {
-webkit-box-shadow: 0px 1px 4px 2px rgba(136,136,136,0.8);
-moz-box-shadow: 0px 1px 4px 2px rgba(136,136,136,0.8);
box-shadow: 0px 1px 4px 2px rgba(136,136,136,0.8);
}

.mod-card p {
    margin-bottom: 0.1rem;
}

.mod-card .card-title {
    margin-bottom: 0.1rem;
}

.mod-card-img {
    border: 1px solid #343a40  !important;
}
.mod-card-img:hover {
    border-bottom: 1px solid rgba(136,136,136,0.4) !important;
    /*border: 1px solid #888888  !important;*/
}

.mod-card-overlay {
  position: absolute;
  bottom: 0.5rem;
  left: 1rem;
  display: block;
  max-width: 160px;
}

.mod-card-carousel {
  display: inline-block;
}

.togglestyle-standard {
  margin: 0 0.5em;

}

.togglestyle-standard .toggle-off {
  background-color: #e9ecef;
  /*box-shadow:         inset 0 0 4px #000000;*/
}
.togglestyle-standard .toggle-off:hover {
  background-color: #e9ecef;
  /*box-shadow:         inset 0 0 4px #000000;*/
}

.togglestyle-standard .toggle-on {

}


img.discord-emoji-small,
img.discord-emoji,
img.d-emoji,
img.emoji {
  margin: 0.1rem;
  width: 1.5rem;
}

.discord-emoji-block img {
  vertical-align: top;
  height: 1.4rem;
  padding: 0;
  margin: 0;
}


.mod-meta-block {
     text-indent: -1em;
}

.page-number {
    width: 2.5rem;
}


.discoblob pre {
  white-space: pre-wrap;       /* css-3 */
  white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
  white-space: -pre-wrap;      /* Opera 4-6 */
  white-space: -o-pre-wrap;    /* Opera 7 */
  color: white;
  margin-left: 1rem;
}
pre.white  {
  color: white;
  margin-bottom: 0.1rem;
}

.user-card {
}
.user-card .col-3 {
  margin: 0;
  padding: 0;
  padding-right: .75rem;
}

.user-card:hover {
  background: #444a50 !important;
  border-color: #000000;
}

.user-card a, .social-row a {
  color: #aaa;
}

.user-card a:hover, .social-row a:hover {
  text-decoration: none !important;
  color: white;
}



.user-card p {
  margin-bottom: 0.25rem;
}
/*
.user-card a {
  color: grey;
}
.user-card a:hover {
  color: grey;
  text-decoration: underline;
  
}
*/


a {
  color: #9e93bc;
}

a:hover {
  color: #a093c1;
}


.footer {
  position: fixed;
  bottom: 0;
  left: 0;
  background: #343a40;
  width: 100%;
  height: 2rem;
  border-top: 1px solid rgb(34,34,34);
} 
.footer div {
  height: 2rem;
  line-height: 2rem;
  vertical-align: text-center;
}

button.bg-light {
  border: 1px solid #ced4da !important;
}

.mod-card,
.card-title{
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  overflow: hidden;
}

.card-text {
  white-space: normal;
}

code {
  color : #f990c1;
}

pre {
  color : #f990c1;
  white-space: pre-wrap;
  word-wrap: break-word;
}

.discord-emoji-block {
  border: 1px solid #ffffff;
  border-radius: 4px;
  display: inline-block;
  height: 2rem;
  padding: 0.25rem;
  vertical-align: top;
}

input:disabled,
textarea:disabled,
select:disabled {
  background: #888888 !important;
  color: #555555 !important;
}

.modal-content {
  word-wrap: break-word;
}

.mod-edit-image {

}
.mod-page {
  word-wrap: break-word !important;
}

.user-notification {
  position: fixed;
  width: 800px;
  margin-left: -400px;
  bottom: 50px;
  left: 50%;
}

.custom-fade {
  opacity: 0;
  -webkit-transition: opacity 0.3s linear;
  -moz-transition: opacity 0.3s linear;
  -o-transition: opacity 0.3s linear;
  transition: opacity 0.3s linear;
}
.custom-fade.in {
  opacity: 1;
}



@media (min-width: 1200px) {
  .mod-carousel-image {
    width:656px;
    height:369px;
  }
}

li.image-entry {
  position: relative;
  display: inline-block;
  width: 200px;
  height: 129px;
  margin: 1rem;
}

.image-move-anchor {
  position: absolute;
  top: 0.75rem;
  left: 0.5rem;
}

.image-placeholder {
  position: relative;
  display: inline-block;
  clear: none;
  width: 200px !important;
  height: 129px;
  margin: 1rem;
  vertical-align: middle;
}

.user-search-result {
  border: 1px solid #eeeeee;
  border-radius: 0.1rem;
  margin: 0.25rem;
  padding: 0rem 0.5rem;
  cursor: pointer;
}
.user-search-result:hover {
  background: #eeeeee;
}
.emoji-search-result {
  border: 1px solid #eeeeee;
  border-radius: 0.1rem;
  margin: 0.25rem;
  cursor: pointer;
}
.emoji-search-result:hover {
  background: #eeeeee;
}

#arc-widget {
  left : 0.5rem !important;
  bottom: 0.1rem !important;
}

#cookieNotice {
  z-index: 9999999 !important;
}

#mod-races-handler {
  cursor: pointer;
}

#mod-races {
  background: #ddd !important;
}
#mod-races:hover {
  background: #bbb !important;
}

.mod-type-select {
  cursor: pointer;
}

.mod-link {
  position: relative;
  vertical-align: middle;
  border: 2px solid grey;
  border-radius: 0.5rem;
  margin: 0.5rem 0rem;
}

.mod-link.first {
  border: 2px solid green;
  border-radius: 0.5rem;
}

.mod-link .link-wrapper {
  position: relative;
  margin: 0.5em;
  vertical-align: middle;
}

.ternary-toggle {
  margin: auto 1rem;
  border: 1px solid #ced4da !important;
  background-color: #e9ecef !important;
  vertical-align: middle;
}

.ternary-toggle:hover {
  background-color: #dae0e5 !important;
}

.ternary-toggle .ternary-icon {
  width: 1.5rem;
}

.ternary-toggle.ternary-on {
  color: green;
}

.ternary-toggle.ternary-off {
  color: red;
}

.ternary-toggle.ternary-maybe {
  color: darkgoldenrod;
}

  .version-notes {
    margin: 1em 1em;
    position: relative;
  }

  .version-notes.selected {
    color: #f0f000;
  }

  .version-number {

  }
  .version-date {
    position: absolute;
    top: 0;
    right: 0;
  }
  .version-comments {
    border-top: 1px solid #fff;
  }


/* Glide Min */
.glide{position:relative;width:100%;box-sizing:border-box}.glide *{box-sizing:inherit}.glide__track{overflow:hidden}.glide__slides{position:relative;width:100%;list-style:none;backface-visibility:hidden;transform-style:preserve-3d;touch-action:pan-Y;overflow:hidden;padding:0;white-space:nowrap;display:flex;flex-wrap:nowrap;will-change:transform}.glide__slides--dragging{user-select:none}.glide__slide{width:100%;height:100%;flex-shrink:0;white-space:normal;user-select:none;-webkit-touch-callout:none;-webkit-tap-highlight-color:transparent}.glide__slide a{user-select:none;-webkit-user-drag:none;-moz-user-select:none;-ms-user-select:none}.glide__arrows{-webkit-touch-callout:none;user-select:none}.glide__bullets{-webkit-touch-callout:none;user-select:none}.glide--rtl{direction:rtl}
.glide__arrow{
  position:absolute;
  display:block;
  top:50%;
  z-index:2;
  color:white;
  text-transform:uppercase;
  padding:12px 12px;
  background-color:transparent;
  border:2px solid rgba(255,255,255,0.5);
  border-radius:4px;box-shadow:0 0.25em 0.5em 0 rgba(0,0,0,0.1);text-shadow:0 0.25em 0.5em rgba(0,0,0,0.1);opacity:1;cursor:pointer;transition:opacity 150ms ease, border 300ms ease-in-out;transform:translateY(-50%);line-height:1}.glide__arrow:focus{outline:none}.glide__arrow:hover{border-color:white}.glide__arrow--left{left:2em}.glide__arrow--right{right:2em}.glide__arrow--disabled{opacity:0.33}.glide__bullets{position:absolute;z-index:2;bottom:2em;left:50%;display:inline-flex;list-style:none;transform:translateX(-50%)}.glide__bullet{background-color:rgba(255,255,255,0.5);width:9px;height:9px;padding:0;border-radius:50%;border:2px solid transparent;transition:all 300ms ease-in-out;cursor:pointer;line-height:0;box-shadow:0 0.25em 0.5em 0 rgba(0,0,0,0.1);margin:0 0.25em}.glide__bullet:focus{outline:none}.glide__bullet:hover,.glide__bullet:focus{border:2px solid white;background-color:rgba(255,255,255,0.5)}.glide__bullet--active{background-color:white}.glide--swipeable{cursor:grab;cursor:-moz-grab;cursor:-webkit-grab}.glide--dragging{cursor:grabbing;cursor:-moz-grabbing;cursor:-webkit-grabbing}


.slider__arrow {
  top: 30%;
  border-radius: 50%;
  border-color: grey;
}

.slider__arrow path {
  fill: grey;
}

.slider__arrow:hover {
  /*background-color:#a093c1;*/
  border-color: white;
}
.slider__arrow:hover path {
  fill: white;
}

.slider__arrow--next {
  right:1rem
}
.slider__arrow--prev {
  left:1rem
}

#progress-bar-block {
  display: block;
  position: fixed;

  left: 0;
  right: 0;
  bottom: 10%;

  width: 50%;
  margin: auto;
}

#progress-bar-block .progress {
  margin-top: 1rem;
}


.emoji-set {
  display: block;
  text-align: center;
}

.emoji-block {
  position: relative;
  border: 1px solid #eee;
  color: #eee;
  border-radius: 0.2rem;
  display: inline-block;
  width: 6rem;
  height: 2.5rem;
  cursor: default;
}
.emoji-block.selectable {
  color: #aaa;
  border: 1px solid #aaa;
  cursor: pointer;
  background: rgba(0,0,0, 0.2);
}
.emoji-block.chosen {
  color: #afa;
}

.emoji-block .inner {
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  height: 2rem;
  width: 5.5rem;

  margin-top: -1rem;
  margin-left: -2.75rem;

}

.emoji-block span.emoji {
  position: absolute;
  display: block;
  height: 1.8rem;
  width: 1.8rem;
  left: 0;
}
.emoji-block span.count {
  position: absolute;


  display: block;
  height: 2rem;
  width: 3rem;
  left: 2rem;
  line-height: 2rem;



  font-size: 1.1rem;
  text-align: center;
  white-space: nowrap;
}

.emoji-block.selectable:hover {
  border: 1px solid #fff;
  color: #fff;
  background: rgba(255,255,255, 0.05);
}
.emoji-block.chosen.selectable:hover  {
  color: #bfb;
}

.banner-ad {
  text-align:center;
}


.mini-card {
 border-radius: 0.5rem;
}
.mini-card a:hover {
  text-decoration: none;
}
.mini-card:hover {
  background-color:rgba(255, 255, 255, 0.1) !important;
}
.mini-card .row {
  overflow:hidden;
}
.mini-card .image-container {
}
.mini-card .image-container .image {
  height: 4rem;
  width: 4rem;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: auto 4rem;
  margin: 0.25rem;
  border-radius: 0.5rem;

}
.mini-card .text {
  overflow:hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}


.mini-search-header {
  margin: 0.5rem;
}
/* ko-fi icon */
.fa-ko-fi::before {
  content: '\f0f4';
  display: inline-block;
  font-size: 1.1em;
  line-height: 0.45em;
  margin: -0.45em 0 0 -0.2em;
  overflow-y: hidden;
  padding-top: 0.45em;
}
.fa-ko-fi::after {
  color: #ccc;
  content: '\f004';
  font-size: 50%;
  font-weight: 900;
  margin: 0.5em 0 0 -2em;
  position: absolute;
}

.adpen::before {
}

.adpen {
}

#sidebar-adpen::before {
  content: "Advertisements";
  display: block;
  height: 1.5rem;
  background-color: #343a40;
  margin: 0 auto;
  text-align: center;
  color: #ccc;

  width:100%;
}
#sidebar-adpen {
  border: 1px solid #343a40;
  margin: 0 auto;
  width: 302px;
}

.editor-group {
  width: 100%;
  margin: 0.5rem auto;
}

.editor-group .lead {
  font-variant: small-caps;
  font-size: 1rem;
}

.editor-group .input-group {
  margin: 0.75rem auto;
}

.editor-group .row {
  border: 1px solid #aaa;
  border-radius: 0.5rem;
}

#discord-connect {
  background: #5865F2;
  color: #fff;
  border: #454FBF 2px solid;
}
#discord-connect:hover {
  background: #454FBF;
}
#discord-connect:active {
  background: #4E5D94;
}

#patreon-connect {
  background: #ff424d;
  color: #000;
  border: #ff424d 2px solid;
}

#patreon-connect:hover {
  background: #fff;
  color: #ff424d;
  border: #ff424d 2px solid;
}
#patreon-connect:active {
  background: #ccc;
}

#ad-siderail {
  display: none;
}

@media (min-width: 1860px) {
  #ad-siderail::before {
    content: "Advertisements";
    display: block;
    height: 1.5rem;
    background-color: #343a40;
    margin: 0 auto;
    text-align: center;
    color: #ccc;

    width:100%;
  }
  #ad-siderail {
    display: block;
    border: 1px solid #343a40;
    position: fixed;
    width: 340px;
    height: 800px;
    left: 20px;
    top: 80px;
    text-align:center;
  }
}